version: '3'

services: 
  api:
    container_name: cdp-campaign
    build: ./
    volumes: 
      - ./:/restapi
    ports:
      - 3000:3000
    env_file:
      - ./.env
    depends_on:
      - "db"
      - "redis"
  db:
    image: postgres
    restart: always
    environment:
      POSTGRES_PASSWORD: example
      POSTGRES_USER: admin
    ports:
      - 5432:5432
  redis:
    image: redis:5
    volumes: 
      - redis_data:/data
    restart: always
    ports: 
      - 6378:6379
volumes: 
  redis_data: {}


